Skip to main content

获取 Skill

查询单个 Skill 的元数据和最新版本号。

接口

GET /api/v1/skills/{skill_id} 查询单个 Skill。自定义 Skill 返回主账号和工作空间下未删除的记录,包含 checking 和 rejected 状态;官方 Skill 仅返回 active 状态。 此接口不返回版本列表和下载地址。

请求参数

参数类型必填说明
skill_idstring是Skill ID

响应

返回 SkillDTO。
字段类型说明
idstringSkill 唯一标识
display_namestring展示名称
display_descriptionstring展示描述
sourcestringcustomer 或 official
statusstringSkill 状态
latest_versionstring最新版本号
classificationstring / null分类;官方 Skill 有值,自定义 Skill 为 null
meta_infoobject / null官方 Skill 的元信息;自定义 Skill 为 null
created_atstring创建时间
updated_atstring更新时间

示例

curl "https://{workspace_id}.cn-beijing.maas.aliyuncs.com/api/v1/skills/skill_abc123" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "success": true,
  "error_code": null,
  "error_msg": null,
  "data": {
    "id": "skill_abc123",
    "display_name": "pdf3.0",
    "display_description": "Use this skill whenever the user wants to do anything with PDF files.",
    "source": "customer",
    "status": "checking",
    "latest_version": "1.0",
    "classification": null,
    "meta_info": null,
    "created_at": "2026-06-16T07:56:03Z",
    "updated_at": "2026-06-16T07:56:03Z"
  },
  "request_id": "15a89d4c-f142-4e00-a9f7-b088442417c9"
}

错误

HTTP 状态码error_code说明
401WORKSPACE_ID_ILLEGAL身份信息缺失或无效
400SKILL_ID_IS_NULLskill_id 为空白
500SKILL_NOT_EXISTSkill 不存在、已删除、无权访问或官方 Skill 未上架